Mailinglist Archive: opensuse-commit (1082 mails)
| < Previous | Next > |
commit pin
- From: root@xxxxxxxxxxxxxxx (h_root)
- Date: Wed, 09 May 2007 20:05:03 +0200
- Message-id: <20070509180503.89421678185@xxxxxxxxxxxxxxx>
Hello community,
here is the log from the commit of package pin
checked in at Wed May 9 20:05:03 CEST 2007.
--------
--- pin/pin.changes 2007-04-03 17:52:36.000000000 +0200
+++ /mounts/work_src_done/STABLE/pin/pin.changes 2007-05-09 15:51:33.748871000 +0200
@@ -1,0 +2,12 @@
+Wed May 9 15:52:06 CEST 2007 - mlasars@xxxxxxx
+
+- package with cboltz fixes subbmitted
+
+-------------------------------------------------------------------
+Sun May 6 19:58:00 CET 2007 - cboltz
+
+- fixed fix for bug #188068, copying ARCHIVES.gz should now work
+ with any shell
+- clean up tempfile if pin gets killed or Ctrl-c'ed (bug #218263)
+
+-------------------------------------------------------------------
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ pin.spec ++++++
--- /var/tmp/diff_new_pack.KK8010/_old 2007-05-09 20:04:48.000000000 +0200
+++ /var/tmp/diff_new_pack.KK8010/_new 2007-05-09 20:04:48.000000000 +0200
@@ -1,5 +1,5 @@
#
-# spec file for package pin (Version 0.37)
+# spec file for package pin (Version 0.38)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
@@ -15,7 +15,7 @@
License: GNU General Public License (GPL)
Group: Documentation/SuSE
Autoreqprov: on
-Version: 0.37
+Version: 0.38
Release: 1
Source: pin
Source1: pin.1.gz
@@ -52,6 +52,12 @@
%ghost %_localstatedir/lib/%name/ARCHIVES.gz
%changelog
+* Wed May 09 2007 - mlasars@xxxxxxx
+- package with cboltz fixes subbmitted
+ Sun May 6 19:58:00 CET 2007 - cboltz
+- fixed fix for bug #188068, copying ARCHIVES.gz should now work
+ with any shell
+- clean up tempfile if pin gets killed or Ctrl-c'ed (bug #218263)
* Tue Apr 03 2007 - mlasars@xxxxxxx
- --nosignature --nodigest for rpm -qa to speedup (thanks Pascal)
- su & tcsh fix (bug #188068) (thanks Volker)
++++++ pin ++++++
--- pin/pin 2007-04-03 17:52:36.000000000 +0200
+++ /mounts/work_src_done/STABLE/pin/pin 2007-05-09 15:50:38.859696000 +0200
@@ -70,8 +70,11 @@
# 2006 12 22 detect broken ARCHIVES.gz symlink (bug #227589)
# 2007 04 03 0.37 --nosignature --nodigest for rpm -qa to speedup (thanks Pascal)
# su & tcsh fix (bug #188068), thanks Volker
+# 2007 05 06 0.38 fixed fix for bug #188068, copying ARCHIVES.gz should now work with any shell
+# clean up tempfile if pin gets killed or Ctrl-c'ed (bug #218263)
-VER=0.37
+
+VER=0.38
OUT_FILE=$(/bin/mktemp /tmp/.pin_packinfo_$$.XXXXXX) || { echo "pin: can not create temporary file" >& 2; exit 1; }
ARC_DIR_OLD="/usr/share/pin/"
ARC_DIR="/var/lib/pin/" # dont forget the / at end!
@@ -91,6 +94,9 @@
# if you want less instead of dialog output, OUT="less"
OUT="less"
+# cleanup tempfile if pin gets killed
+trap "rm -f \"$OUT_FILE\"; exit 1" 1 2 3 7 13 15
+
unknown_option () {
echo -e "\n Pin searches the installed packages (rpm -qi, -ql) and/or
the ARCHIVES.gz file for the desired information. It
@@ -174,8 +180,8 @@
# roottest
if test "$UID" != "0" -a "$USER" != root -a -z "$ROOT" ; then
echo -e "\n *** pin found no ARCHIVES_"$USED_VERSION".gz file in $ARC_DIR\n
- pin will copy the files, please enter rootpassword :\n\n"
- su - root -- -c "$0" "$@"
+ pin will copy the files, please enter root password :\n\n"
+ su - root -s /bin/bash -- "$0" "$@"
exit
fi
# test for old ARC files
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Remember to have fun...
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |